<?php

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * \file acs_options.php
 * \~english
 * First file of the plugin loaded.
 * Debug options and plugin load.
 * \~french
 * Premier fichier du plugin chargé, avant même autoriser.php de la dist, mais après les fichiers de langues.
 * Options de debug et chargement du plugin.
 */

// Uncomment for debugs :
//define('_DEBUG_CRAYONS', true); // Debug plugin crayons
//define('_DEBUG_AUTORISER', true); // debug autorisations SPIP
define('_ACS_LOG', _LOG_HS); // niveau de log ACS

/*
 * Constantes de niveau de log (ACS et SPIP)
 * 0 (_LOG_HS)
 * 1 (_LOG_ALERTE_ROUGE)
 * 2 (_LOG_CRITIQUE)
 * 3 (_LOG_ERREUR)
 * 4 (_LOG_AVERTISSEMENT)
 * 5 (_LOG_INFO_IMPORTANTE)
 * 6 (_LOG_INFO)
 * 7 (_LOG_DEBUG)
 */

/*__________________________________________________________________

   Ne PAS modifier ce qui suit - Do NOT modify anything after this
	__________________________________________________________________
*/
define('_LOG_FILTRE_GRAVITE', _ACS_LOG); // définit le niveau de log SPIP

// Retourne une variable d'un plugin actif
function acs_get_from_active_plugin($plugin, $variable = false) {
	$meta_plugin = unserialize($GLOBALS['meta']['plugin']);
	$plugin = $meta_plugin[$plugin];

	if (!$variable) {
		return isset($plugin['dir']);
	}
	if (isset($plugin[$variable])) {
		return $plugin[$variable];
	}
	return false;
}

// Chemin valable espace public aussi, pas comme _DIR_PLUGIN_ACS, qui est à proscrire
define('_DIR_ACS', _DIR_PLUGINS . acs_get_from_active_plugin('ACS', 'dir') . '/');

// Dossier des paramètres et images utilisateur
// User images and parameters
// compatible mutualisation (_DIR_SITE defini)
if (defined('_DIR_SITE')) {
	$dir_site = _DIR_SITE;
	$dir_site_absolu = _DIR_RACINE ? substr(_DIR_SITE, 3) : _DIR_SITE;
}
else {
	$dir_site = _DIR_RACINE;
	$dir_site_absolu = '';
}

// Racine des dossiers du site :
define('_ACS_DIR_SITE_ROOT', $dir_site);

// Dossier du cache ACS (par defaut: tmp/cache/acs)
define('_ACS_TMP_DIR', _ACS_DIR_SITE_ROOT . _NOM_TEMPORAIRES_INACCESSIBLES . 'cache/acs/');

// Fonctions ACS
require_once(_DIR_ACS . 'inc/acs_lib.php');

// Set ACS par defaut - Default ACS set
if (!acs_get('ACS_SET')) {
	acs_set('ACS_SET', 'cat');
}

// Dossier des images du set ACS actif - Active ACS set images directory
$GLOBALS['ACS_CHEMIN'] = $dir_site_absolu . _NOM_PERMANENTS_ACCESSIBLES . '_acs/' . acs_get('ACS_SET');

// Définition du dossier global des squelettes actifs d'ACS (avec override)
// Global active ACS skeletons directory definition (with override)
$dossiers_squelettes_avant_override = explode(':', $GLOBALS['dossier_squelettes']);
if (acs_get('ACS_OVER')) {
	$tas = explode(':', acs_get('ACS_OVER'));
	foreach ($tas as $dir) {
		@include(_ACS_DIR_SITE_ROOT . $dir . '/mes_options.php');
		@include(_ACS_DIR_SITE_ROOT . $dir . '/mes_fonctions.php');
		if (in_array($dir_site_absolu . $dir, $dossiers_squelettes_avant_override)) {
			continue;
		}
		if (isset($GLOBALS['dossier_squelettes']) && $GLOBALS['dossier_squelettes']) {
			$GLOBALS['dossier_squelettes'] .= ':';
		}
		$GLOBALS['dossier_squelettes'] .= $dir_site_absolu . $dir;
	}
}
if (isset($GLOBALS['dossier_squelettes']) && $GLOBALS['dossier_squelettes']) {
	$GLOBALS['dossier_squelettes'] .= ':';
}
// On ajoute le chemin du modèle cat actif
$GLOBALS['dossier_squelettes'] .= 'plugins/' . acs_get_from_active_plugin('ACS', 'dir') . '/' . 'sets/' . acs_get('ACS_SET');

// dispatch public / privé
if ((_DIR_RESTREINT != '') && ($_POST['action'] != 'poster_forum_prive')) {
	// Sauts de ligne
	$GLOBALS['spip_pipeline']['pre_propre'] .= '|post_autobr';
}

// Balises et traductions, avec fonctions SPIP requises partout
require_once(_DIR_ACS . 'inc/sp/acs_spip.php');
