<?php

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Lit une variable dans un tableau clés-valeurs à la façon de l'API cfg, suivant un chemin,
 * avec en plus la récursivité ACS (une variable ACS peut référencer une autre variable ACS)
 *
 * @param src : tableau source
 * @param meta : nom de la variable meta à lire
 * @return : valeur de la variable (récursive)
 */
function var_recursive($src, $meta) {
	$chemin = strtok($meta, '/');
	$val = $src[$chemin];
	// Si la valeur commence par "=", c'est une référence récursive à une autre variable ACS
	if (substr($val, 0, 1) == '=') {
		$val = var_recursive($src, substr($val, 1) . substr($meta, strlen($chemin)));
	}
	// On appelle récursivement la fonction tant que $val est un array ou un array serialisé
	if (is_array($val)) {
		$val = var_recursive($val, substr($meta, strlen($chemin) + 1));
	}
	elseif (is_array(unserialize($val))) {
		$val = var_recursive(unserialize($val), substr($meta, strlen($chemin) + 1));
	}
	return $val;
}
